For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all file types
        • GETGet file type by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTFiles

Get all file types

GET
/v1/file-types/
GET
/v1/file-types/
$curl https://api.propexo.com/v1/file-types/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "6e97d7dad882734625ed16f7cc6295d21d96c4287e45bd43b36ec66988af9bc5",
18 "x_property_id": "na",
19 "x_location_id": null,
20 "code": "Commercial Lease Doc",
21 "models": [
22 "residents"
23 ],
24 "name": "Application Documents",
25 "type": "Work Order",
26 "integration_id": "clwh5u07w000508me66sfh3um",
27 "integration_vendor": "YARDI_REST",
28 "property_id": "clwi5xiix000008l6ctdgafyh"
29 }
30 ]
31}
Get all file types
Was this page helpful?
Previous

Get file type by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the file type
typestringOptional
The type associated with the file type
modelslist of stringsOptional

The Propexo data models (e.g. units, residents, applicants, etc.) associated with the file type

integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error